import { IExecutionContext } from "../../i-execution-context";
export declare type ISyncOwnersRequest = {
    readonly organizationName: string;
    readonly repositoryName: string;
    readonly file?: string;
    readonly branch?: string;
};
/**
 * FIXME this will not work if there's more than a 100 teams in the GitHub org
 * because for that we need to handle pagination, which is something that we
 * don't do at all at the moment.
 * @param ctx
 * @param cmdArgs
 * @returns
 */
export declare function syncOwners(ctx: IExecutionContext, req: ISyncOwnersRequest): Promise<unknown>;
