import { IRepositoryOwners } from "./command/sync-owners/model/i-repository-owners";
export declare type IValidateOwnersYamlRequest = {
    readonly repositoryName: string;
    readonly repositoryOwners: IRepositoryOwners;
};
export declare type IValidateOwnersYamlResponse = {
    readonly isValid: boolean;
    readonly errors: readonly string[];
};
export declare const validateOwnersYaml: (req: IValidateOwnersYamlRequest) => Promise<IValidateOwnersYamlResponse>;
