import type { OctokitResponse } from "@octokit/types";
import { IExecutionContext } from "../../i-execution-context";
export declare type IAddTeamRequest = {
    readonly name: string;
    readonly org: string;
    readonly members: readonly string[];
};
export declare type IAddTeamResponse = {
    readonly githubResponses: readonly OctokitResponse<{
        readonly url: string;
        readonly role: "member" | "maintainer";
        readonly state: "active" | "pending";
    }, 200>[];
};
export declare function addTeamMember(ctx: IExecutionContext, req: IAddTeamRequest): Promise<IAddTeamResponse>;
